> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Token Compensation Details

> Name and signature indicate it gets my token compensation details

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-my-token-compensation-details
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-my-token-compensation-details:
    get:
      operationId: getMyTokenCompensationDetails
      summary: Get My Token Compensation Details
      description: |-
        Name and signature indicate it gets my token compensation details

        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMyTokenCompensationDetailsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetMyTokenCompensationDetailsResponse:
      type: object
      properties:
        allocationBlockedReason:
          type:
            - string
            - 'null'
        paycheckBreakdown:
          type: object
          properties:
            tokenPayPerPayPeriod:
              type: string
            salaryPerPayPeriod:
              type: string
            payPeriodsPerYear:
              type: integer
            maximumTokenPayPerPayPeriod:
              type: string
            currency:
              type: string
            maxTokenPayInFiat:
              type: string
            currentTokenPayFiat:
              type: string
            allTimeTokensReceivedFiat:
              type: string
            firstPaymentDate:
              type:
                - string
                - 'null'
            lastPaymentDate:
              type:
                - string
                - 'null'
            paidInTokens:
              type: array
              items:
                type: object
                properties:
                  networkName:
                    type: string
                  tokenName:
                    type: string
                  networkIconUrl:
                    type: string
                  tokenIconUrl:
                    type: string
                required:
                  - networkName
                  - tokenName
                  - networkIconUrl
                  - tokenIconUrl
          required:
            - tokenPayPerPayPeriod
            - salaryPerPayPeriod
            - payPeriodsPerYear
            - maximumTokenPayPerPayPeriod
            - currency
            - maxTokenPayInFiat
            - currentTokenPayFiat
            - allTimeTokensReceivedFiat
            - firstPaymentDate
            - lastPaymentDate
            - paidInTokens
      required:
        - allocationBlockedReason
        - paycheckBreakdown
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
